account.saveSecureValue
Securely save Telegram Passport document, for more info see the passport docs »
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Securely save Telegram Passport document, for more info see the passport docs »
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.saveSecureValue" \ -H "Content-Type: application/json" \ -d '{ "params": { "value": { "_": "inputSecureValue", "type": { "_": "secureValueTypePersonalDetails" } }, "secureSecretId": "string" } }'{ "result": { "_": "secureValue", "type": { "_": "secureValueTypePersonalDetails" }, "data": { "_": "secureData", "data": "string", "dataHash": "string", "secret": "string" }, "frontSide": { "_": "secureFileEmpty" }, "reverseSide": { "_": "secureFileEmpty" }, "selfie": { "_": "secureFileEmpty" }, "translation": [ { "_": "secureFileEmpty" } ], "files": [ { "_": "secureFileEmpty" } ], "plainData": { "_": "securePlainPhone", "phone": "string" }, "hash": "string" }}saveRingtone
Save or remove saved notification sound. If the notification sound is already in MP3 format, `account.RawSavedRingtone` will be returned. Otherwise, it will be automatically converted and a `account.RawSavedRingtoneConverted` will be returned, containing a new `RawDocument` object that should be used to refer to the ringtone from now on (ie when deleting it using the unsave parameter, or when downloading it).
saveTheme
Save a theme